Get Shariah-Compliant Screening Results for ETFs. You can query by ETF ticker.
| Parameter | Value | Description |
|---|---|---|
| symbol | "SEMI" | ETF symbol |
| Parameter | Type | Description |
|---|---|---|
| symbol | string | ETF symbol |
| isin | string | ETF ISIN |
| name | string | ETF Name |
| assetClass | string | Asset Class |
| investmentSegment | string | Investment Segment |
| market | string | Market |
| navCurrency | string | NAV currency |
| numberOfHoldings | number | Number of holdings |
| uncoveredHoldings | number | Number of uncovered holdings |
| complianceStatus | string | Shariah-compliance Status (HALAL, NOT HALAL, DOUBTFUL) |
| aggregateRevenueBreakdown | object | Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue to be Shariah compliant. |
| aggregateInterestBearingSecuritiesAndAssets | object | Interest-Bearing Securities and Assets should be less than 30% of Trailing 36-month Average Market Capitalization. |
| aggregateInterestBearingDebt | object | Interest-Bearing Debt should be less than 30% of Trailing 36-Month Average Market Capitalization. |
| lastUpdate | dateTime | Last update date in ISO 8601 date-time format |
| aggregateRevenue | number | Total aggregate revenue |
| month36AverageMarkCap | number | Trailing 36-month Average Market Capitalization |
- Mock serverhttps://docs.musaffa.us/_mock/apis/demo/musaffa/etf/report
- https://b2b.musaffa.us/b2b/apihttps://b2b.musaffa.us/b2b/api/demo/musaffa/etf/report
curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/etf/report' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: PXhr5euX9rnHKwkFF2UT+2Qc7PMCsY8dcjdWzMpBNRuTmwzFtt3XjfVscItWNYqyMOFtygVlSfYG96KSKEzyiQ==' \
--data '{
"symbol":"SEMI"
}'Dynamic ETF screening report for the requested symbol
Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue (AAOIFI).
Response
{ "symbol": "string", "isin": "string", "name": "string", "assetClass": "string", "investmentSegment": "string", "market": "string", "navCurrency": "string", "numberOfHoldings": 0, "uncoveredHoldings": 0, "complianceStatus": "string", "aggregateRevenueBreakdown": { "halalRatio": 0, "notHalalRatio": 0, "doubtfulRatio": 0, "doubtfulRevenue": 0, "halalRevenue": 0, "notHalalRevenue": 0, "status": "string" }, "aggregateInterestBearingSecuritiesAndAssets": { "interestAmount": 0, "interestRatio": 0, "status": "string" }, "aggregateInterestBearingDebt": { "debtAmount": 0, "debtRatio": 0, "status": "string" }, "lastUpdate": "string", "aggregateRevenue": 0, "month36AverageMarkCap": 0 }